Package org.eclipse.graphiti.features

# Interface ICopyFeature

All Superinterfaces:
  `IDescription`, `IFeature`, `IFeatureProviderHolder`, `IName`

All Known Implementing Classes:
  `AbstractCopyFeature`

public interface ICopyFeature extends IFeature
The Interface ICopyFeature.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canCopy(ICopyContext context)`
Can copy.
`void`
`copy(ICopyContext context)`
Copy.

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canExecute, canUndo, execute, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.IName

`getName`

## Method Details

### copy

void copy(ICopyContext context)
Copy.

Parameters:
  `context` - the context

### canCopy

boolean canCopy(ICopyContext context)
Can copy.

Parameters:
  `context` - the context
Returns:
  true, if successful